<form #reserveForm="ngForm" (ngSubmit)="onSubmit(reserveForm.value, reserveForm)">
  <div class="form row">
    <select *ngIf="!dataReserve" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="PlaceId" required ngModel>
      <option i18n value="" selected disabled>  &#xf02c;   Place</option>
      <option *ngFor="let item of dataPlace" i18n [value]="item.id">{{item.name}}</option>
    </select>
    <select *ngIf="dataReserve" class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" type="text" name="PlaceId" required [(ngModel)]="dataReserve['place'].id">
      <option *ngFor="let item of dataPlace" i18n [value]="item.id">{{item.name}}</option>
    </select>
    <input  class="fontAwesome col-12 col-sm-6 col-md-3 col-lg-3" name="DateofReserve" type="text" [(ngModel)]="model" ngbDatepicker #d="ngbDatepicker" (click)="d.toggle()" [minDate]="minDate"
    i18n-placeholder placeholder="  &#xF073;   Reservation Date...">
    <button *ngIf="dataReserve" i18n class="btn btn-danger" type="submit">Send</button>
    <button *ngIf="!dataReserve" i18n class="btn btn-danger" type="submit" [disabled]="reserveForm.invalid">Send</button>
  </div>
</form>
